## gpe-soundserver 0.4

=== Makefile ===
PREFIX = /usr/local
PACKAGE = gpe-soundserver
DEBUG = no
CVSBUILD = no
VERSION = 0.4-1

MEMBERS = server

CFLAGS += -D_GNU_SOURCE -Wall
ifeq ($(DEBUG),yes)
CFLAGS += -O2 -g
LDFLAGS += -g #-lefence
else
CFLAGS += -Os -fomit-frame-pointer
endif
CPPFLAGS += -DPACKAGE=\"$(PACKAGE)\" -DPREFIX=\"$(PREFIX)\" -DPACKAGE_LOCALE_DIR=\"$(PREFIX)/share/locale\"

LDFLAGS += `pkg-config --libs x11`

OBJS = $(patsubst %,%.o,$(MEMBERS))

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

export PKG_CONFIG_PATH = $(BUILD)

all: $(PACKAGE) wrapesd

$(PACKAGE): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS)

wrapesd: wrapesd.o
	$(CC) -o $@ $^ $(LDFLAGS)

install-program: all
	install -d $(DESTDIR)$(PREFIX)/bin
	install -s $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/$(PACKAGE)
	install -s wrapesd $(DESTDIR)$(PREFIX)/bin/wrapesd
	install -d $(DESTDIR)/etc/X11/Xsession.d
	install $(PACKAGE).xsession $(DESTDIR)/etc/X11/Xsession.d/50sound-server

clean:
	rm -f $(PACKAGE) $(OBJS)

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg

=== debian/changelog ===
gpe-soundserver (0.4-4) unstable; urgency=low

  * Include sys/resource.h to define PRIO_PROCESS and
    setpriority with eglibc-2.17 (Closes: #701452)
  * Move to source format 3.0 quilt
  * Remove deprecated cdbs patchsys include.
  * Add Vcs headers.

 -- Neil Williams <codehelp@debian.org>  Sun, 14 Apr 2013 11:58:30 +0100

gpe-soundserver (0.4-3) unstable; urgency=low

  * Add watch file
  * Update standards version (no changes)

 -- Neil Williams <codehelp@debian.org>  Thu, 03 Jan 2008 20:14:07 +0000

gpe-soundserver (0.4-2) unstable; urgency=low

  * Add Debian GPE team to uploaders
  * Migrate homepage to control field
  * Add cross build support

 -- Neil Williams <codehelp@debian.org>  Mon, 26 Nov 2007 19:07:47 +0000

gpe-soundserver (0.4-1) unstable; urgency=low

  * Initial release. (Closes: #404312: ITP: gpe-soundserver -- start
    and stop the GPE sound service - Debian Bug report logs)
  * Repackage upstream tarball to rationalise version number - need to
  create a watch file once upstream correct the tarball.

 -- Neil Williams <codehelp@debian.org>  Sun, 14 Jan 2007 14:30:38 +0000

=== debian/control ===
Source: gpe-soundserver
Section: x11
Priority: optional
Maintainer: Neil Williams <codehelp@debian.org>
Uploaders: Debian GPE team <pkg-gpe-maintainers@lists.alioth.debian.org>, Moray Allan <moray@debian.org>,
 Phil Blundell <pb@debian.org>, Philippe De Swert <philippedeswert@scarlet.be>
Build-Depends: cdbs, debhelper (>= 5), libx11-dev
Standards-Version: 3.9.4
Homepage: http://gpe.linuxtogo.org/projects/GPE-soundbite.shtml
Vcs-SVN: svn://svn.debian.org/pkg-gpe/trunk/gpe-soundserver/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gpe/trunk/gpe-soundserver/trunk/

Package: gpe-soundserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: start and stop the GPE sound service
 Provides as-and-when sound services by wrapping the
 esd daemon. gpe-soundbite starts the gpe-soundserver
 prior to playback or recording and stops it again
 at the end of playback or recording.
 .
 Used by the GPE Palmtop Environment to reduce the 
 resource footprint on devices where sound is only 
 used intermittently.

=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
DEB_MAKE_ENVVARS=CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

clean::
	rm -f wrapesd wrapesd.o

common-install-arch::
	install -m 0755 gpe-soundserver debian/gpe-soundserver/usr/bin/
	install -m 0755 wrapesd debian/gpe-soundserver/usr/bin/
	install -d debian/gpe-soundserver/usr/share/man/man1/
	install -m 0644 debian/gpe-soundserver.1 debian/gpe-soundserver/usr/share/man/man1/
	install -m 0644 debian/wrapesd.1 debian/gpe-soundserver/usr/share/man/man1
	install -d debian/gpe-soundserver/etc/X11/Xsession.d
	install -m 0644 gpe-soundserver.xsession debian/gpe-soundserver/etc/X11/Xsession.d/50sound-server

=== debian/watch ===
version=3
opts="uversionmangle=s/i([\d+\.]+|\d+)-\d/$1/,dversionmangle=s/(.*)/$1-1/" \
http://gpe.linuxtogo.org/download/source/gpe-soundserver-(.*).tar.gz
#http://gpe.linuxtogo.org/download/source/ (?:.*/)?gpe-soundserver-?_?([\d+\.]+|\d+)\.(tar.*|tgz|zip|gz|bz2|)
